Bug 448341 - Exception aborts game execution
Exception aborts game execution
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: manaworld (Show other bugs)
9
All Linux
low Severity urgent
: ---
: ---
Assigned To: Wart
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-25 22:27 EDT by Christopher Tubbs
Modified: 2008-07-26 02:01 EDT (History)
0 users

See Also:
Fixed In Version: 0.0.24.1-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-06 03:48:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Tubbs 2008-05-25 22:27:57 EDT
Description of problem:
Game crashes with error message.

Version-Release number of selected component (if applicable):
manaworld-music-0.0.20-2.fc8
manaworld-0.0.24-1.fc9
guichan-0.7.1-1.fc9
SDL_net-1.2.7-4.fc9
SDL_mixer-1.2.8-8.fc9
physfs-1.0.1-8.fc9

How reproducible:
100%

Steps to Reproduce:
1. Run the game from the menu or command line
  
Actual results:
Game starts, begins downloading, then aborts with the error:
$ tmw
terminate called after throwing an instance of 'std::out_of_range'
  what():  basic_string::at
Aborted

Expected results:
Game shouldn't crash.

Additional info:
F9, fully updated (as of 5/25/08), i386
Comment 1 Fedora Update System 2008-05-27 12:49:11 EDT
manaworld-0.0.24.1-1.fc9 has been submitted as an update for Fedora 9
Comment 2 Wart 2008-05-27 12:51:38 EDT
This is fixed by the latest upstream manaworld release.
Comment 3 Fedora Update System 2008-05-28 22:37:57 EDT
manaworld-0.0.24.1-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update manaworld'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-4436
Comment 4 Fedora Update System 2008-06-06 03:48:11 EDT
manaworld-0.0.24.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-07-26 02:01:16 EDT
manaworld-0.0.24.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.